# Endpoints

The Underdog API supports Solana Mainnet-Beta and Solana Devnet. We recommend testing your implementation with our Devnet endpoint before moving to production. The Devnet endpoint is free to use while the Mainnet endpoint requires a subscription.&#x20;

<table><thead><tr><th width="175">Network</th><th>API URL </th></tr></thead><tbody><tr><td>Solana Mainnet</td><td><code>https://api.underdogprotocol.com</code></td></tr><tr><td>Solana Devnet</td><td><code>https://dev.underdogprotocol.com</code></td></tr></tbody></table>

The examples in the documentation will use the Devnet API.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.underdogprotocol.com/guides/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
